import type { OutputTargetReact, PackageJSON } from './types';
import type { CompilerCtx, ComponentCompilerMeta, Config } from '@stencil/core/internal';
export declare function reactProxyOutput(config: Config, compilerCtx: CompilerCtx, outputTarget: OutputTargetReact, components: ComponentCompilerMeta[]): Promise<void>;
export declare function generateProxies(config: Config, components: ComponentCompilerMeta[], pkgData: PackageJSON, outputTarget: OutputTargetReact, rootDir: string): string;
/**
 * Defines the React component that developers will import
 * to use in their applications.
 * @param cmpMeta: Meta data for a single Web Component
 * @param includeCustomElement: If `true`, the Web Component instance
 * will be passed in to createReactComponent to be registered
 * with the Custom Elements Registry.
 * @returns An array where each entry is a string version
 * of the React component definition.
 */
export declare function createComponentDefinition(cmpMeta: ComponentCompilerMeta, includeCustomElement?: boolean): string[];
export declare function getPathToCorePackageLoader(config: Config, outputTarget: OutputTargetReact): string;
export declare const GENERATED_DTS = "components.d.ts";
